### Hierarchy

- unknown
  - RegisterNotificationListenerRequest

## Index

### Constructors

- constructor

### Methods

- serializeBinary
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new RegisterNotificationListenerRequest(): RegisterNotificationListenerRequest

- Inherited from jspb.Message.constructor

  #### Returns RegisterNotificationListenerRequest

## Methods

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:665

  #### Returns Uint8Array

### toObject

- toObject(includeInstance?: boolean): RegisterNotificationListenerRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:666

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns RegisterNotificationListenerRequest . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): RegisterNotificationListenerRequest

- - Defined in src/protobuf/grpc_pb.d.ts:669

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns RegisterNotificationListenerRequest

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: RegisterNotificationListenerRequest, reader: BinaryReader): RegisterNotificationListenerRequest

- - Defined in src/protobuf/grpc_pb.d.ts:670

  #### Parameters

  - ##### message: RegisterNotificationListenerRequest

  - ##### reader: BinaryReader

  #### Returns RegisterNotificationListenerRequest

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: RegisterNotificationListenerRequest, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:668

  #### Parameters

  - ##### message: RegisterNotificationListenerRequest

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: RegisterNotificationListenerRequest ): RegisterNotificationListenerRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:667

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: RegisterNotificationListenerRequest

  #### Returns RegisterNotificationListenerRequest . AsObject

Generated using TypeDoc